Kerbal Space Program - Feature #292

Gimbaled engines have no roll authority
03/06/2013 02:23 PM - purpletarget

Status: Closed % Done: 100%
Severity: Low

Assignee:

Category: Controls and Ul

Target version:

Platform: Any Mod Related: No
Expansion:

Description

What happens: When using gimbaled engines for control of rocket, they work to adjust for yaw and pitch, but not for roll, even when

placed in radial configuration.

How to reproduce:
Notes:

Build heavy ship with probe body, sans SAS. Probe rotation torque will be minimal. No winglets. No RCS.
Use non-gimbaled engines or lock on the centreline.

Place gimbaled engines on radial stacks or outrigger boosters to the sides & launch.

Attempt a roll. Response will be negligible compared to attempting with yaw or pitch commands.

¢ In keeping consistency, if a component can ever be used for control, it should either be able to be tuned for a specific purpose in
design, or it needs to work in fire and forget fashion consistently with all other items (RCS etc).
¢ Anticipate that elements used in rover wheel steering in development could be leveraged.

History

#1 - 03/06/2013 10:05 PM - Switchblade88
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| have observed this, and so confirming as a bug.

#2 - 03/09/2013 12:50 PM - C7

- Tracker changed from Bug to Feature

#3 - 10/25/2013 05:24 PM - sr
- Version set to 0.19

- Platform Any added

| can confirm this behavior with 0.22 as well.

#4 - 11/30/2014 10:47 AM - RexKramer
- Tracker changed from Feature to Bug
- Status changed from Confirmed to Resolved

- % Done changed from 10 to 100

This appears to have been corrected. Tested in 0.25, with two LV-T45 engines mounted radially. The engines gimbaled in the correct direction
during roll inputs (one gimbaled one direction, the opposite engine gimbaled in the opposite direction). This was observed visually by watching the
motion of the engines gimballing and also by observing the response of the craft in flight, with reaction wheels disabled, and SAS off.

So, at some point this has been addressed.

#5 - 11/30/2014 11:08 AM - RexKramer
- Tracker changed from Bug to Feature

#6 - 02/10/2015 01:09 PM - pizzaoverhead

RexKramer wrote:
This appears to have been corrected. Tested in 0.25, with two LV-T45 engines mounted radially. The engines gimbaled in the correct direction
during roll inputs (one gimbaled one direction, the opposite engine gimbaled in the opposite direction). This was observed visually by watching
the motion of the engines gimballing and also by observing the response of the craft in flight, with reaction wheels disabled, and SAS off.

So, at some point this has been addressed.

This feature was added in 0.24:

http://forum.kerbalspaceprogram.com/content/296
- Gimballing Engines now respond to roll input.

#7 - 02/12/2015 11:24 PM - RexKramer

- Status changed from Resolved to Closed
